Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SessionImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Direct Known Subclasses:
  CatalogServiceImpl, CatalogWSImpl, DecryptorImpl, EncryptorImpl, ShippingHelperImpl

Deprecated

    @Deprecated
    public abstract class SessionImpl

extends Object
implements javax.ejb.SessionBean

This is the base implementation of the Business Smart Component (BSC) Session interface. For each BSC Session derived interface, there will be a corresponding BSC SessionImpl with business methods that are mirrored. It also provides storage for an SessionContext and an implementation of the Set and Get Session Context methods.

See Also
  `

  Session Beans also implement the SmartUpdate API. See the EntityImpl comments for more details. Although SmartUpdate is intended primarily for BMP, Session Beans may find it useful as well.

  `, Serialized Form

Field Summary
`javax.ejb.SessionContext` | `_ctx` Deprecated
`protected Context` | `_environmentNamingContext` Deprecated
`protected Hashtable` | `_environmentPropertyCache` Deprecated
`protected boolean` | `_isDirty` Deprecated

Constructor Summary
`SessionImpl()` Deprecated SessionImpl constructor.

Method Summary
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Map map)` Deprecated
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key)` Deprecated
`protected Collection` | `doRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Map` | `doRelationalBinding(String attributeIdentifier, Map map)` Deprecated Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Belonging` | `doRelationalBindingOnElement(String attributeIdentifier, Belonging value)` Deprecated Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(String attributeIdentifier, javax.ejb.EJBObject value)` Deprecated Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingOnElement(String attributeIdentifier, Object value)` Deprecated Add relational information to a dependent object.
`protected Belonging` | `doRelationalBindingOnSingleton(String attributeIdentifier, Belonging value)` Deprecated Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Deprecated Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingOnSingleton(String attributeIdentifier, Object value)` Deprecated Add relational information to a dependent object.
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging belonging, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object object, Object key)` Deprecated Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`void` | `ejbActivate()` Deprecated ejbActivate method.
`void` | `ejbCreate()` Deprecated ejbCreate method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate()` Deprecated ejbPostCreate method.
`void` | `ejbRemove()` Deprecated ejbRemove method.
`protected Collection` | `enumerateRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Map` | `enumerateRelationalBinding(String attributeIdentifier, Map map)` Deprecated Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Context` | `getEnvironmentNamingContext()` Deprecated Returns the bean's environment naming context.
`Object` | `getEnvironmentProperty(String propertyName)` Deprecated This method returns the value of the specified environment property.
`Object` | `getEnvironmentProperty(String propertyName, Object defaultValue)` Deprecated This method returns the value of the specified environment property or the specified default value if the environment property is not found.
`protected Hashtable` | `getEnvironmentPropertyCache()` Deprecated Returns the bean's environment property cache
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Deprecated Instantiates PersistenceHelperPlugin based on "...PersistenceHelperPlugin" property in commerce.properties file.
`javax.ejb.SessionContext` | `getSessionContext()` Deprecated getSessionContext method.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated setSessionContext method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _isDirty

    protected transient boolean _isDirty

  Deprecated

### _ctx

    public javax.ejb.SessionContext _ctx

  Deprecated

### _environmentNamingContext

    protected transient Context _environmentNamingContext

  Deprecated

### _environmentPropertyCache

    protected transient Hashtable _environmentPropertyCache

  Deprecated

Constructor Detail

### SessionImpl

    public SessionImpl()

  Deprecated
  SessionImpl constructor.

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException,
                          javax.ejb.EJBException

  Deprecated
  ejbCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  Deprecated
  ejbPostCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

  Deprecated
  getSessionContext method.

### getEnvironmentNamingContext

    protected Context getEnvironmentNamingContext()
                                           throws NamingException

  Deprecated
  Returns the bean's environment naming context.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentPropertyCache

    protected Hashtable getEnvironmentPropertyCache()

  Deprecated
  Returns the bean's environment property cache

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName)
                                  throws NamingException

  Deprecated
  This method returns the value of the specified environment property.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName,
                                         Object defaultValue)
                                  throws NamingException

  Deprecated
  This method returns the value of the specified environment property or the specified default value if the environment property is not found.

  Throws
    `NamingException` - - if a naming exception is encountered

### doRelationalBindingOnElement

    protected Object doRelationalBindingOnElement(String attributeIdentifier,
                                                  Object value)

  Deprecated
  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnElement

    protected Belonging doRelationalBindingOnElement(String attributeIdentifier,
                                                     Belonging value)

  Deprecated
  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnElement

    protected javax.ejb.EJBObject doRelationalBindingOnElement(String attributeIdentifier,
                                                               javax.ejb.EJBObject value)

  Deprecated
  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingOnSingleton

    protected Object doRelationalBindingOnSingleton(String attributeIdentifier,
                                                    Object value)

  Deprecated
  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnSingleton

    protected Belonging doRelationalBindingOnSingleton(String attributeIdentifier,
                                                       Belonging value)

  Deprecated
  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnSingleton

    protected javax.ejb.EJBObject doRelationalBindingOnSingleton(String attributeIdentifier,
                                                                 javax.ejb.EJBObject ejbObject)

  Deprecated
  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Object object,
                                                   Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                javax.ejb.EJBObject ejbObject,
                                                                Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Belonging belonging,
                                                   Object key)

  Deprecated
  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Collection doRelationalBinding(String attributeIdentifier,
                                             Collection collection)

  Deprecated
  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Map doRelationalBinding(String attributeIdentifier,
                                      Map map)

  Deprecated
  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### enumerateRelationalBinding

    protected Collection enumerateRelationalBinding(String attributeIdentifier,
                                                    Collection collection)

  Deprecated
  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### enumerateRelationalBinding

    protected Map enumerateRelationalBinding(String attributeIdentifier,
                                             Map map)

  Deprecated
  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       Object o)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       Object key)

  Deprecated

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map)

  Deprecated

### getPersistenceHelperPlugin

    public PersistenceHelperPlugin getPersistenceHelperPlugin()

  Deprecated
  Instantiates PersistenceHelperPlugin based on "...PersistenceHelperPlugin" property in commerce.properties file. This property can be specified either for each session, or as a "DefaultPersistenceHelperPlugin" property.

  Returns
    PersistenceHelperPlugin specific class that implements PersistenceHelperPlugin or null, if no HelperPlugin is specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.